Bug 184211 - Very long lines not displayed properly
Summary: Very long lines not displayed properly
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-desktop   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-07 11:26 UTC by Frank Arnold
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 03:00:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Frank Arnold 2006-03-07 11:26:32 UTC
Don't know where to file against, thus parking at gnome-desktop until it's
narrowed down further.

The following test was done with gedit, but everything applies to random GTK
entry widgets. It's not gedit/gtk-sourceview related. From my understanding the
problem can be isolated to pango(?), or cairo.

System is up to date rawhide ppc.

1. Open gedit and make sure text wrapping is disabled.
2. Write some text into a single line. With Bitstream Vera Sans Mono at 10pt
it's for me 4098 times the character "c". Text will disappear, cursor is visible.
3. Change the font size to 8pt. The text will reappear.
4. Write some more "c". At count 5463 the text will disappear again.

Comment 1 Matthias Clasen 2006-08-04 03:00:14 UTC
this is a limitation of GtkTextView. There is an upstream bug at
bugzilla.gnome.org about it, but the chances of fixing this are
minimal.


Note You need to log in before you can comment on or make changes to this bug.